OpenNMS API 1.2.9

## org.opennms.web
Class MissingParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.opennms.web.MissingParameterException

All Implemented Interfaces:
  java.io.Serializable

public class MissingParameterException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `missingParameter`
`protected java.lang.String[]` `requiredParameters`

Fields inherited from class java.lang.RuntimeException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`MissingParameterException(java.lang.String missingParameter)`
`MissingParameterException(java.lang.String missingParameter, java.lang.String[] requiredParameters)`

Method Summary
`java.lang.String` `getMessage()`
`java.lang.String` `getMissingParameter()`
`java.lang.String[]` `getRequiredParameters()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### missingParameter

    protected java.lang.String missingParameter

### requiredParameters

    protected java.lang.String[] requiredParameters

Constructor Detail

### MissingParameterException

    public MissingParameterException(java.lang.String missingParameter)

### MissingParameterException

    public MissingParameterException(java.lang.String missingParameter,
                                     java.lang.String[] requiredParameters)

Method Detail

### getMissingParameter

    public java.lang.String getMissingParameter()

### getRequiredParameters

    public java.lang.String[] getRequiredParameters()

### getMessage

    public java.lang.String getMessage()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.